//**********************************************************************
//
//	medieval_soc.shader for Q3 by Sims
//	Website : http://www.simonoc.com/
//
//**********************************************************************
//

// ----------------------------------------------------------------------
textures/ut4_wallride_b1/hw_nightsky_nolight
{
	qer_editorimage textures/ut4_wallride_b1/nightsky_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	//q3map_sun 0.0703 0.1836 0.6 2000 220 90
	q3map_sunExt 0.80 0.90 1.00 16.0 -23.123 48.822 0 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 100 3
	q3map_lightRGB 0.0703 0.1836 0.6
	q3map_lightsubdivide 256
	surfaceparm sky
	//q3map_sun 1 1 1 100 315 50
	skyparms textures/ut4_wallride_b1/nightsky - -
}
textures/ut4_wallride_b1/light1_3k
{
	qer_editorimage textures/ut4_wallride_b1/light1.tga
	q3map_lightImage textures/ut4_wallride_b1/light1.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}
textures/ut4_wallride_b1/floor_stone1_nd
{
	qer_editorimage textures/ut4_wallride_b1/floor_stone1.tga
	q3map_nonplanar
	q3map_shadeangle 45
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/floor_stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/ut4_wallride_b1/metal1
{
	qer_editorimage textures/ut4_wallride_b1/metal1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/metal1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/ut4_wallride_b1/metal2
{
	qer_editorimage textures/ut4_wallride_b1/metal2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/metal2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/ut4_wallride_b1/stone1_slick
{
	qer_editorimage textures/ut4_wallride_b1/stone1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/ut4_wallride_b1/wood_grey
{
	qer_editorimage textures/ut4_wallride_b1/wood_grey.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/wood_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/ut4_wallride_b1/wood_browndark
{
	qer_editorimage textures/ut4_wallride_b1/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/ut4_wallride_b1/wood_brownlight
{
	qer_editorimage textures/ut4_wallride_b1/wood_brownlight.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/wood_brownlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/ut4_wallride_b1/wood_trim1c
{
	qer_editorimage textures/ut4_wallride_b1/wood_trim1c.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/wood_trim1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/ut4_wallride_b1/woodplank_2
{
	qer_editorimage textures/ut4_wallride_b1/woodplank_2.tga
	q3map_nonplanar
	q3map_shadeangle 45
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride_b1/woodplank_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/ut4_wallride_b1/noodglass_blue
{
    qer_editorimage textures/ut4_wallride_b1/noodglass_blue.tga
    q3map_surfaceLight 2500
    q3map_lightsubdivide 128
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride_b1/noodglass_blue.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}
textures/ut4_wallride_b1/noodglass_blue_nonsolid
{
    qer_editorimage textures/ut4_wallride_b1/noodglass_blue.tga
    q3map_surfaceLight 2500
    q3map_lightsubdivide 128
    surfaceparm nonsolid
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride_b1/noodglass_blue.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}
//**********************************************************************
//
//	medieval_soc.shader for Q3 by Sims
//	Website : http://www.simonoc.com/
//
//**********************************************************************
//

// ----------------------------------------------------------------------
textures/ut4_wallride_b1/noodglass_orange
{
    qer_editorimage textures/ut4_wallride_b1/noodglass_orange.tga
    q3map_surfaceLight 2500
    q3map_lightsubdivide 128
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride_b1/noodglass_orange.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}
textures/ut4_wallride_b1/noodglass_gray
{
    qer_editorimage textures/ut4_wallride_b1/noodglass_gray.tga
    q3map_surfaceLight 2500
    q3map_lightsubdivide 128
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride_b1/noodglass_gray.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}
textures/ut4_wallride_b1/noodglass_red
{
    qer_editorimage textures/ut4_wallride_b1/noodglass_red.tga
    q3map_surfaceLight 2500
    q3map_lightsubdivide 128
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride_b1/noodglass_red.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}
textures/ut4_wallride_b1/noodglass_green
{
    qer_editorimage textures/ut4_wallride_b1/noodglass_green.tga
    q3map_surfaceLight 2500
    q3map_lightsubdivide 128
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride_b1/noodglass_green.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}
